Subject: Re: [PATCH net] ethtool: Set histogram ranges to NULL before querying FEC data

From: Jakub Kicinski <[email-masked]>
Date: Thu, 4 Jun 2026 19:46:29 -0700

On Thu, 4 Jun 2026 15:54:40 -0700 Eric Joyner wrote:
> If this field isn't set to NULL, then drivers that set the non-histogram
> FEC statistics and don't support/modify the histogram fields will
> trigger a WARN_ON() in fec_put_hist(). Drivers shouldn't be forced to
> set this field to NULL if they don't have a need to touch FEC histogram
> reporting, so set this field before the driver gets the data structure.

&data should be zero-initialized, how is this patch not a nop?

Are you sure this can trigger unless the driver is buggy and sets
ranges without reporting any values?